Bug 471346 - policytool should not appear in desktop menu
policytool should not appear in desktop menu
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lillian Angel
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: F11Target
  Show dependency treegraph
 
Reported: 2008-11-12 23:57 EST by Jens Petersen
Modified: 2009-07-16 03:15 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.6.0.0-24.b16.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-10 13:04:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2008-11-12 23:57:39 EST
Description of problem:
If one installs openjdk the "mysterious" policytool program appears in the desktop under Programming: I don't think most users know or understand what this utility is for or need it.  Well I have never used it.  Suggestions: (1) drop the desktop file completely (2) hide the desktop file (3) move policytool to a -devel package, or ?

How reproducible:
every time

Steps to Reproduce:
1. Do a default Fedora install or yum group install office
2. login and show the desktop menu
  
Actual results:
1. openoffice et al installed
2. Programming -> "OpenJDK Policy Tool" entry appears: "whatever that is?"

Expected results:
2. no policytool to appear in desktop menu

Additional info:
Default desktop should not have any Programming desktop submenu.
Comment 1 Bug Zapper 2008-11-26 00:17:12 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Jon Stanley 2008-11-26 14:13:42 EST
Fixing version to align with rawhide again.  Sorry for the noise.
Comment 3 Fedora Update System 2009-07-10 09:33:04 EDT
java-1.6.0-openjdk-1.6.0.0-19.b16.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-19.b16.fc10
Comment 4 Fedora Update System 2009-07-10 09:34:24 EDT
java-1.6.0-openjdk-1.6.0.0-24.b16.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-24.b16.fc11
Comment 5 Fedora Update System 2009-07-16 03:12:01 EDT
java-1.6.0-openjdk-1.6.0.0-19.b16.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2009-07-16 03:15:11 EDT
java-1.6.0-openjdk-1.6.0.0-24.b16.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.